<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Teste</title>
</head>

<style>
  #temperatura {
    width: 30px;
    padding: 10px;
    background-color: gray;
  }
</style>

<body>
  <h1>Testando Socket.io</h1>
  <p>Valor da temperatura</p>
  
  
  <div id="temperatura">-</div>
  

  <script src="/socket.io/socket.io.js"></script>
  <script>
    console.log("Sou o cliente que se conectou.")
    var socket = io();

    //Evento recebido quando temperatura nova é publicada
    socket.on("temperatura", (temperatura) => {
      var divTemperatura = document.getElementById("temperatura")
      divTemperatura.innerHTML = temperatura
      mudaCor(Number(temperatura))
    })

    //Função auxiliar que muda a cor da div em função da temperatura
    function mudaCor(temperatura) {
      let divTemp = document.getElementById("temperatura")
      if(temperatura < 15) {
        divTemp.style.backgroundColor = 'blue';
      } else if(temperatura < 30) {
        divTemp.style.backgroundColor = 'green';
      } else {
        divTemp.style.backgroundColor = 'red';
      }
      divTemp.style.color = 'white';
    }
  </script>
</body>

</html>